# This file is the basis for a binary Tcl RPM.

%define major 8
%define minor 6
%define fix 8

Name:          tcl
Summary:       Tcl scripting language development environment
Version:       %{major}.%{minor}.%{fix}
Release: 3
License:       TCL
URL:           http://www.tcl.tk/

BuildRequires:	autoconf

Source0: http://prdownloads.sourceforge.net/tcl/tcl%{version}-src.tar.gz


Patch0: tcl-unix_tcl.m4.patch
Patch1: tcl-pkgs_thread2.8.2_tclconfig_tcl.m4.patch
Patch2: tcl-pkgs_itc14.1.1_tclconfig_tcl.m4.patch
Patch3: tcl-pkgs_sqlite3.21.0_tclconfig_tcl.m4.patch
Patch4: tcl-pkgs_tdbc1.0.6_tclconfig_tcl.m4.patch
Patch5: tcl-pkgs_tdbcmysql1.0.6_tclconfig_tcl.m4.patch
Patch6: tcl-pkgs_tdbcodbc1.0.6_tclconfig_tcl.m4.patch
Patch7: tcl-pkgs_tdbcpostgres1.0.6_tclconfig_tcl.m4.patch
Patch8: tcl-pkgs_tdbcsqlite3-1.0.6_tclconfig_tcl.m4.patch


%description
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks.  When paired with
the Tk toolkit, Tcl provides the fastest and most powerful way to
create GUI applications that run on PCs, Unix, and Mac OS X.  Tcl
can also be used for a variety of web-related tasks and for creating
powerful command languages for applications.

%package devel
Summary: The Tcl (Tool Command Language) development files
Requires: %{name} = %{version}
Requires: zlib-devel

%description devel
The Tcl (Tool Command Language) development files


%prep
%setup -q -n %{name}%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1


%build
cd pkgs/itcl4.1.1
autoconf
cd ../../
cd pkgs/sqlite3.21.0
autoconf
cd ../../
cd pkgs/tdbc1.0.6
autoconf
cd ../../
cd pkgs/tdbcmysql1.0.6
autoconf
cd ../../
cd pkgs/tdbcodbc1.0.6
autoconf
cd ../../
cd pkgs/tdbcpostgres1.0.6
autoconf
cd ../../
cd pkgs/tdbcsqlite3-1.0.6
autoconf
cd ../../
cd pkgs/thread2.8.2
autoconf
cd ../../
cd unix
autoconf

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  SHLIB_LD_FLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib"

make

%install
cd unix
make \
  install install-private-headers \
  INSTALL_ROOT=%{buildroot} \
  PRIVATE_INCLUDE_DIR=%{_includedir}/tcl-private


%files
%defattr(-, qsys, *none)
%{_libdir}/itcl4.1.1
%{_libdir}/libtcl%{major}.%{minor}.so
%{_libdir}/libtclstub%{major}.%{minor}.a
%{_libdir}/pkgconfig/*
%{_libdir}/sqlite3.21.0
%{_libdir}/tcl%{major}
%{_libdir}/tcl%{major}.%{minor}
%{_libdir}/tdbc1.0.6
%{_libdir}/tdbcmysql1.0.6
%{_libdir}/tdbcodbc1.0.6
%{_libdir}/tdbcpostgres1.0.6
%{_libdir}/thread2.8.2

%{_bindir}/*

%{_mandir}/man1/*
%{_mandir}/mann/*

%files devel
%defattr(-, qsys, *none)
%{_includedir}/*

%{_libdir}/tclConfig.sh
%{_libdir}/tclooConfig.sh

%{_mandir}/man3/*

%changelog
* Tue Dec 03 2019 Mark Irish <mirish@ibm.com> - 8.6.8
- Build private header files with tcl-devel package

* Mon Dec 02 2019 Mark Irish <mirish@ibm.com> - 8.6.8
- Remove extraneous checks in patches
- Link the correct libgcc.so by changing SHLIB_LD in patches

* Fri Nov 22 2019 Mark Irish <mirish@ibm.com> - 8.6.8
- Stop shipping pkgconfig directory (still ship files inside)
- move tclConfig.sh and tclooConfig.sh to devel package

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- General cleanup
- Use SPDX license identifier

* Thu Sep 27 2018 - Gavin Zhang <zhanggan@cn.ibm.com>
- Initial package
